## Class Swift_Mime_SimpleMimeEntity

(line 22)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/Mime/SimpleMimeEntity.php

##### A MIME entity, in a multipart message.

- author: - Chris Corbyn

Classes extended from Swift_Mime_SimpleMimeEntity:

Swift_Mime_Attachment
  An attachment, in a multipart message.

Swift_Mime_MimePart
  A MIME part, in a multipart message.

## Class Variables

Summary:
mixed $_userContentType

#### $_userContentType (line 75)

#### Data type : mixed

- access: - protected

## Class Constants

Summary:

## Method Detail

Summary:
Swift_Mime_SimpleMimeEntity __construct (Swift_Mime_HeaderSet $headers, Swift_Mime_ContentEncoder $encoder, Swift_KeyCache $cache)
void __destruct ()
void charsetChanged (string $charset)
void encoderChanged (Swift_Mime_ContentEncoder $encoder)
string generateId ()
string getBody ()
string getBoundary ()
array getChildren ()
string getContentType ()
string getDescription ()
Swift_Mime_ContentEncoder getEncoder ()
Swift_Mime_HeaderSet getHeaders ()
string getId ()
int getMaxLineLength ()
int getNestingLevel ()
void setBody (mixed $body, [string $contentType = null])
void setBoundary (string $boundary)
void setChildren ( $children, [int $compoundLevel = null])
void setContentType (string $type)
void setDescription (string $description)
void setEncoder (Swift_Mime_ContentEncoder $encoder)
void setId (string $id)
void setMaxLineLength (int $length)
void toByteStream (Swift_InputByteStream $is)
string toString ()
void _clearCache ()
void _fixHeaders ()
void _getCache ()
void _getHeaderFieldModel ( $field)
void _getHeaderParameter ( $field, $parameter)
void _getIdField ()
void _setHeaderFieldModel ( $field, $model)
void _setHeaderParameter ( $field, $parameter, $value)
string __toString ()

#### Constructor __construct (line 83)

#### Swift_Mime_SimpleMimeEntity __construct( Swift_Mime_HeaderSet $headers, Swift_Mime_ContentEncoder $encoder, Swift_KeyCache $cache)

Overridden in child classes as:

Swift_Mime_Attachment::__construct()
  Create a new Attachment with $headers, $encoder and $cache.

Swift_Attachment::__construct()
  Create a new Attachment.

Swift_Mime_EmbeddedFile::__construct()
  Creates a new Attachment with $headers and $encoder.

Swift_EmbeddedFile::__construct()
  Create a new EmbeddedFile.

Swift_Image::__construct()
  Create a new EmbeddedFile.

Swift_Mime_MimePart::__construct()
  Create a new MimePart with $headers, $encoder and $cache.

Swift_Mime_SimpleMessage::__construct()
  Create a new SimpleMessage with $headers, $encoder and $cache.

Swift_Message::__construct()
  Create a new Message.

Swift_MimePart::__construct()
  Create a new MimePart.

##### Create a new SimpleMimeEntity with $headers, $encoder and $cache.

#### Parameters

- Swift_Mime_HeaderSet $headers:
- Swift_Mime_ContentEncoder $encoder:
- Swift_KeyCache $cache:

#### Info

- access - public

#### Destructor __destruct (line 788)

#### void __destruct( )

##### Empties it's own contents from the cache.

#### Info

- access - public

#### Method charsetChanged (line 421)

#### void charsetChanged( string $charset)

Overridden in child classes as:

Swift_Mime_MimePart::charsetChanged()
  Receive notification that the charset has changed on this document, or a parent document.

Implementation of:

Swift_Mime_CharsetObserver::charsetChanged()
  Notify this observer that the entity's charset has changed.

##### Receive notification that the charset of this entity, or a parent entity has changed.

#### Parameters

- string $charset:

#### Info

- access - public

#### Method encoderChanged (line 431)

#### void encoderChanged( Swift_Mime_ContentEncoder $encoder)

##### Receive notification that the encoder of this entity or a parent entity has changed.

#### Parameters

- Swift_Mime_ContentEncoder $encoder:

#### Info

- access - public

#### Method generateId (line 122)

#### string generateId( )

##### Generate a new Content-ID or Message-ID for this MIME entity.

#### Info

- access - public

#### Method getBody (line 337)

#### string getBody( )

Implementation of:

Swift_Mime_MimeEntity::getBody()
  Get the body content of this entity as a string.

##### Get the body of this entity as a string.

#### Info

- access - public

#### Method getBoundary (line 395)

#### string getBoundary( )

##### Get the boundary used to separate children in this entity.

#### Info

- access - public

#### Method getChildren (line 247)

#### array getChildren( )

Implementation of:

Swift_Mime_MimeEntity::getChildren()
  Get all children nested inside this entity.

##### Get all children added to this entity.

#### Info

- return - of Swift_Mime_Entity
- access - public

#### Method getContentType (line 155)

#### string getContentType( )

Implementation of:

Swift_Mime_MimeEntity::getContentType()
  Get the qualified content-type of this mime entity.

##### Get the Content-type of this entity.

#### Info

- access - public

#### Method getDescription (line 204)

#### string getDescription( )

##### Get the description of this entity.

This value comes from the Content-Description header if set.

#### Info

- access - public

#### Method getEncoder (line 369)

#### Swift_Mime_ContentEncoder getEncoder( )

##### Get the encoder used for the body of this entity.

#### Info

- access - public

#### Method getHeaders (line 136)

#### Swift_Mime_HeaderSet getHeaders( )

Implementation of:

Swift_Mime_MimeEntity::getHeaders()
  Get the collection of Headers in this Mime entity.

##### Get the Swift_Mime_HeaderSet for this entity.

#### Info

- access - public

#### Method getId (line 178)

#### string getId( )

Implementation of:

Swift_Mime_MimeEntity::getId()
  Returns a unique ID for this entity.

##### Get the CID of this entity.

The CID will only be present in headers if a Content-ID header is present.

#### Info

- access - public

#### Method getMaxLineLength (line 227)

#### int getMaxLineLength( )

##### Get the maximum line length of the body of this entity.

#### Info

- access - public

#### Method getNestingLevel (line 146)

#### int getNestingLevel( )

Overridden in child classes as:

Swift_Mime_Attachment::getNestingLevel()
  Get the nesting level used for this attachment.

Swift_Mime_EmbeddedFile::getNestingLevel()
  Get the nesting level of this EmbeddedFile.

Swift_Mime_MimePart::getNestingLevel()
  Get the nesting level of this entity.

Swift_Mime_SimpleMessage::getNestingLevel()
  Always returns LEVEL_TOP for a message instance.

Implementation of:

Swift_Mime_MimeEntity::getNestingLevel()
  Get the level at which this entity shall be nested in final document.

##### Get the nesting level of this entity.

#### Info

- see - LEVEL_TOP, LEVEL_MIXED, LEVEL_RELATED, LEVEL_ALTERNATIVE
- access - public

#### Method setBody (line 350)

#### void setBody( mixed $body, [string $contentType = null])

Overridden in child classes as:

Swift_Mime_MimePart::setBody()
  Set the body of this entity, either as a string, or as an instance of Swift_OutputByteStream.

Implementation of:

Swift_Mime_MimeEntity::setBody()
  Set the body content of this entity as a string.

##### Set the body of this entity, either as a string, or as an instance of Swift_OutputByteStream.

#### Parameters

- mixed $body:
- string $contentType: optional

#### Info

- access - public

#### Method setBoundary (line 409)

#### void setBoundary( string $boundary)

##### Set the boundary used to separate children in this entity.

#### Parameters

- string $boundary:

#### Info

- throws - Swift_RfcComplianceException
- access - public

#### Method setChildren (line 257)

#### void setChildren( $children, [int $compoundLevel = null])

Implementation of:

Swift_Mime_MimeEntity::setChildren()
  Set all children nested inside this entity.

##### Set all children of this entity.

#### Parameters

- array $children: Swiift_Mime_Entity instances
- int $compoundLevel: For internal use only

#### Info

- access - public

#### Method setContentType (line 164)

#### void setContentType( string $type)

##### Set the Content-type of this entity.

#### Parameters

- string $type:

#### Info

- access - public

#### Method setDescription (line 214)

#### void setDescription( string $description)

##### Set the description of this entity.

This method sets a value in the Content-ID header.

#### Parameters

- string $description:

#### Info

- access - public

#### Method setEncoder (line 378)

#### void setEncoder( Swift_Mime_ContentEncoder $encoder)

##### Set the encoder used for the body of this entity.

#### Parameters

- Swift_Mime_ContentEncoder $encoder:

#### Info

- access - public

#### Method setId (line 189)

#### void setId( string $id)

##### Set the CID of this entity.

#### Parameters

- string $id:

#### Info

- access - public

#### Method setMaxLineLength (line 237)

#### void setMaxLineLength( int $length)

##### Set the maximum line length of lines in this body.

Though not enforced by the library, lines should not exceed 1000 chars.

#### Parameters

- int $length:

#### Info

- access - public

#### Method toByteStream (line 490)

#### void toByteStream( Swift_InputByteStream $is)

Overridden in child classes as:

Swift_Mime_SimpleMessage::toByteStream()
  Write this message to a Swift_InputByteStream.

Implementation of:

Swift_Mime_MimeEntity::toByteStream()
  Get this entire entity as a ByteStream.

##### Write this entire entity to a Swift_InputByteStream.

#### Parameters

- Swift_InputByteStream $is:

#### Info

- access - public

#### Method toString (line 440)

#### string toString( )

Overridden in child classes as:

Swift_Mime_SimpleMessage::toString()
  Get this message as a complete string.

Implementation of:

Swift_Mime_MimeEntity::toString()
  Get this entire entity in its string form.

##### Get this entire entity as a string.

#### Info

- access - public

#### Method _clearCache (line 640)

#### void _clearCache( )

##### Empty the KeyCache for this entity.

#### Info

- access - protected

#### Method _fixHeaders (line 613)

#### void _fixHeaders( )

Overridden in child classes as:

Swift_Mime_MimePart::_fixHeaders()
  Fix the content-type and encoding of this entity

##### Re-evaluate what content type and encoding should be used on this entity.

#### Info

- access - protected

#### Method _getCache (line 632)

#### void _getCache( )

##### Get the KeyCache used in this entity.

#### Info

- access - protected

#### Method _getHeaderFieldModel (line 559)

#### void _getHeaderFieldModel( $field)

##### Get the model data (usually an array or a string) for $field.

#### Parameters

- $field:

#### Info

- access - protected

#### Method _getHeaderParameter (line 586)

#### void _getHeaderParameter( $field, $parameter)

##### Get the parameter value of $parameter on $field header.

#### Parameters

- $field:
- $parameter:

#### Info

- access - protected

#### Method _getIdField (line 551)

#### void _getIdField( )

Overridden in child classes as:

Swift_Mime_SimpleMessage::_getIdField()

##### Get the name of the header that provides the ID of this entity

#### Info

- access - protected

#### Method _setHeaderFieldModel (line 570)

#### void _setHeaderFieldModel( $field, $model)

##### Set the model data for $field.

#### Parameters

- $field:
- $model:

#### Info

- access - protected

#### Method _setHeaderParameter (line 597)

#### void _setHeaderParameter( $field, $parameter, $value)

##### Set the parameter value of $parameter on $field header.

#### Parameters

- $field:
- $parameter:
- $value:

#### Info

- access - protected

#### Method __toString (line 481)

#### string __toString( )

Overridden in child classes as:

Swift_Mime_SimpleMessage::__toString()
  Returns a string representation of this object.

##### Returns a string representation of this object.

#### Info

- see - Swift_Mime_SimpleMimeEntity::toString()
- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:30 +0000 by phpDocumentor 1.4.3